Skip to content

Start Connection Sync

POST
/data_syncer/connection/{Connection_Id}/jobs/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jobType": "sync"
}'
Connection_Id
required
integer

Connection Id

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
jobType
required
string

Example

sync

Sync job created successfully

Media typeapplication/json
object
code
integer
data
object
id
integer
status
string
created_at
string format: date-time
updated_at
string format: date-time
streamAggregatedStats
Array<object>
object
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 184,
"status": "running",
"created_at": "2025-02-20T11:02:15Z",
"updated_at": "2025-02-20T11:02:15Z",
"streamAggregatedStats": []
},
"errors": {},
"message": "Success"
}